Bitcoin Forum
August 22, 2019, 08:25:10 AM *
News: Latest Bitcoin Core release: 0.18.0 [Torrent] (New!)
 
   Home   Help Search Login Register More  
Pages: [1]
  Print  
Author Topic: BFI_INT with ATI7970 on Linux  (Read 1614 times)
flok
Newbie
*
Offline Offline

Activity: 17
Merit: 0


View Profile WWW
October 01, 2012, 11:40:38 AM
 #1

Hi,

I'm trying to mine using:
- phoenix 1.7.5
- linux with kernel 3.4.0
- fglrx 1:12-6+point-1
- ATI7970

I'm trying to run it with BFI_INT but it complains "Failed to apply BFI_INT patch to kernel".
Any idea how to fix this?

(without it, it seems that
    -k poclbm AGGRESSION=13
 is the most efficient: 595 MHash/s, but with loads of "Warning: work queue empty, miner is idle" unfortunately).
1566462310
Hero Member
*
Offline Offline

Posts: 1566462310

View Profile Personal Message (Offline)

Ignore
1566462310
Reply with quote  #2

1566462310
Report to moderator
1566462310
Hero Member
*
Offline Offline

Posts: 1566462310

View Profile Personal Message (Offline)

Ignore
1566462310
Reply with quote  #2

1566462310
Report to moderator
1566462310
Hero Member
*
Offline Offline

Posts: 1566462310

View Profile Personal Message (Offline)

Ignore
1566462310
Reply with quote  #2

1566462310
Report to moderator
Advertised sites are not endorsed by the Bitcoin Forum. They may be unsafe, untrustworthy, or illegal in your jurisdiction. Advertise here.
1566462310
Hero Member
*
Offline Offline

Posts: 1566462310

View Profile Personal Message (Offline)

Ignore
1566462310
Reply with quote  #2

1566462310
Report to moderator
1566462310
Hero Member
*
Offline Offline

Posts: 1566462310

View Profile Personal Message (Offline)

Ignore
1566462310
Reply with quote  #2

1566462310
Report to moderator
DiabloD3
Legendary
*
Offline Offline

Activity: 1162
Merit: 1000


DiabloMiner author


View Profile WWW
October 03, 2012, 11:52:10 PM
 #2

Hi,

I'm trying to mine using:
- phoenix 1.7.5
- linux with kernel 3.4.0
- fglrx 1:12-6+point-1
- ATI7970

I'm trying to run it with BFI_INT but it complains "Failed to apply BFI_INT patch to kernel".
Any idea how to fix this?

(without it, it seems that
    -k poclbm AGGRESSION=13
 is the most efficient: 595 MHash/s, but with loads of "Warning: work queue empty, miner is idle" unfortunately).

GCN does not have that instruction, AMD's OpenCL compiler does the proper thing.

flok
Newbie
*
Offline Offline

Activity: 17
Merit: 0


View Profile WWW
October 04, 2012, 08:10:35 AM
 #3

Hi,

I'm trying to mine using:
- phoenix 1.7.5
- linux with kernel 3.4.0
- fglrx 1:12-6+point-1
- ATI7970

I'm trying to run it with BFI_INT but it complains "Failed to apply BFI_INT patch to kernel".
Any idea how to fix this?

(without it, it seems that
    -k poclbm AGGRESSION=13
 is the most efficient: 595 MHash/s, but with loads of "Warning: work queue empty, miner is idle" unfortunately).

GCN does not have that instruction, AMD's OpenCL compiler does the proper thing.

Can you elaborate on that?
I did not install a package with gcn in the name, only pyopencl and fglrx.
DiabloD3
Legendary
*
Offline Offline

Activity: 1162
Merit: 1000


DiabloMiner author


View Profile WWW
October 04, 2012, 08:40:53 AM
 #4

Hi,

I'm trying to mine using:
- phoenix 1.7.5
- linux with kernel 3.4.0
- fglrx 1:12-6+point-1
- ATI7970

I'm trying to run it with BFI_INT but it complains "Failed to apply BFI_INT patch to kernel".
Any idea how to fix this?

(without it, it seems that
    -k poclbm AGGRESSION=13
 is the most efficient: 595 MHash/s, but with loads of "Warning: work queue empty, miner is idle" unfortunately).

GCN does not have that instruction, AMD's OpenCL compiler does the proper thing.

Can you elaborate on that?
I did not install a package with gcn in the name, only pyopencl and fglrx.

GCN is your hardware, 79xx.

Pages: [1]
  Print  
 
Jump to:  

Sponsored by , a Bitcoin-accepting VPN.
Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2006-2009, Simple Machines Valid XHTML 1.0! Valid CSS!